<bugID>1297758<Summary>Allow loading the inspector individually in a tab</Summary><Description>Bug 1233463 allowed loading devtools in a tab.
Now, it would be handy to be able to load just one tool in tab.
It basically means getting rid of the toolbox dependency when loading a tool, but also figuring out how to precise which target a given tool must debug.
We already figured out a way to define a target via query parameters in bug 1233463. So it should mostly be about allowing a tool to setup itself on load without expect a chrome call to create the XxxxPanel object and call its open() method.

Now, why would we do such thing?
It should allow us to incrementally work on making just one given tool to work in a regular tab.
Here, the goal is not to make the tool work with just web privileges, the tools are still going to be loaded via chrome URL and privileges. But it will then be easy to stop doing that and see what uses/requires chrome.</Description></bugID>